Subject: Re: bug#32229: Hydra evaluation failure: service 'ssh-daemon' requires 'loopback'

From: Gábor Boskovits <[email-masked]>
Date: Sun, 22 Jul 2018 12:22:51 +0200

Mark H Weaver <[email-masked]> ezt írta (időpont: 2018. júl. 20., P, 23:28):

> Hydra failed its most recent evaluation attempt for the 'master' jobset,
> with the following error:
>
> --8<---------------cut here---------------start------------->8---
> considering jobset gnu:master (last checked 25842s ago)
> checking out Git branch master from
> https://git.savannah.gnu.org/r/guix.git
> Initialized empty Git repository in
> /tmp/git-checkout-tmp-5663/git-export/.git/
> From
> /var/lib/hydra/scm/git/f08e53b7f0f3ce68a74e8745c37add3d0aecabda3e30c724b0d838fdc6743e2b
>  * branch            master     -> FETCH_HEAD
>  * [new branch]      master     -> origin/master
> Switched to a new branch 'fetchgit'
> removing `.git'...
> hash is 631480c61f698a8519ea0f2e4663fe841ea7bfe8a332e4a44eb4e4fe051143c9
> path is /gnu/store/zgj9yr6i285079pzs77jl5kka6n9j3fy-git-export
> evaluator hydra-eval-guile-jobs
> hydra-eval-guile-jobs returned exit code 1:
> adding `/gnu/store/zgj9yr6i285079pzs77jl5kka6n9j3fy-git-export' to the
> load path
> prepending "/gnu/store/zgj9yr6i285079pzs77jl5kka6n9j3fy-git-export" to the
> load path
> prepending "/gnu/store/zgj9yr6i285079pzs77jl5kka6n9j3fy-git-export" to the
> load path
> evaluating for 'x86_64-linux' (heap size: 170.0 MiB)...
> warning: SQLite database is busy
> Backtrace:
> In ice-9/eval.scm:
>    196:43 19 (_ #(#(#(#<module (#{ g23}#) 16583c0>) #<build-da?> ?) ?))
> In ice-9/boot-9.scm:
>     152:2 18 (with-fluid* _ _ _)
>     152:2 17 (with-fluid* _ _ _)
>     152:2 16 (with-fluid* _ _ _)
> In unknown file:
>           15 (_ #<procedure 2521a140 at ice-9/eval.scm:330:13 ()> # #)
> In ice-9/eval.scm:
>    191:27 14 (_ #(#(#<module (#{ g23}#) 16583c0> #<procedure 25?>) ?))
>    196:35 13 (_ #(#(#(#(#<directory (gnu system vm) ab0d000>) ?) ?) ?))
>    293:34 12 (_ #(#(#(#<directory (gnu system) 331e1e0>) #<<op?> ?) ?))
>    293:34 11 (_ #(#(#<directory (gnu services) 9c445a0> #<vari?> ?) ?))
> In srfi/srfi-1.scm:
>    592:29 10 (map1 (#<<service> type: #<service-type profile 3fa8?> ?))
>    592:29  9 (map1 (#<<service> type: #<service-type etc ac18140>?> ?))
>    592:17  8 (map1 (#<<service> type: #<service-type boot ac18550?> ?))
> In ice-9/eval.scm:
>    293:34  7 (_ #(#(#(#<directory (gnu services) 9c445a0> # # ?) ?) ?))
> In srfi/srfi-1.scm:
>    592:17  6 (map1 (#<<service> type: #<service-type shepherd-roo?> ?))
> In ice-9/eval.scm:
>    213:29  5 (_ #(#(#<directory (gnu services shepherd) 9c441e0>) #))
>     159:9  4 (_ #(#(#<directory (gnu services shepherd) 9c441e0>) #))
>    202:35  3 (_ #(#(#<directory (gnu services shepherd) 9c441e0>) #))
>     619:8  2 (_ #(#(#<directory (gnu services shepherd) 9c441e0>) #))
> In srfi/srfi-1.scm:
>     640:9  1 (for-each #<procedure assert-satisfied-requirements (a)> ?)
>     640:9  0 (for-each #<procedure 283ae320 at ice-9/eval.scm:333:1?> ?)
>
> srfi/srfi-1.scm:640:9: In procedure for-each:
> Throw to key `srfi-34' with args `(#<condition &message [message: "service
> 'ssh-daemon' requires 'loopback', which is not provided by any service"]
> 283afe00>)'.
> --8<---------------cut here---------------end--------------->8---
>
>
I've not looked into this in detail, but would it be possible to bring in a
service providing 'loopback'?

> This is almost certainly related to the following commit:
>
>
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=363c946b36a77aa6f0e60b8c93a171d2e649164f
>
> but I don't yet understand what's wrong with that commit, if anything.
> I'm also surprised to see this code being run on Hydra during an
> evaluation.
>
>       Mark
>
>
>
>